# cmd-context.h File Reference

`#include <goffice/app/go-cmd-context-impl.h>`
`#include <glib-object.h>`

Go to the source code of this file.

## Defines

#define | GCU_CMD_CONTEXT_TYPE (gcu_cmd_context_get_type ())

## Functions

GOCmdContext * | gcu_get_cmd_context (void)

## Detailed Description

Declaration of the GcuCmdContext structure, a GObject implementing the GOCmdContext interface from goffice. This is mandatory to be able to edit charts.

Definition in file cmd-context.h.

## Define Documentation

#define GCU_CMD_CONTEXT_TYPE (gcu_cmd_context_get_type ())

Returns:
  the GType associated to GcuCmdContext.

Definition at line 40 of file cmd-context.h.

## Function Documentation

GOCmdContext* gcu_get_cmd_context | ( | void |  | ) |

Returns:
  a static global GcuCmdContext instance.